<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<script>
		const words = ["программа", "макака", "прекрасный", "оладушек"];
		let word = words[Math.floor(Math.random() * words.length)];
		//создаем массив который будет хранить в себе отгаданные буквы
		const answerArray = [];
		//цикл связываем с выбранным рандомным словом из массива words который вставит в массив "_" в количестве равному количеству букв из случайно выбранного слова
		for ( i = 0; i < word.length; i++) {
			answerArray[i] = "_";
		}
		let remainingLetters = word.length
		//задаёт количество попыток 
		let chance = word.length;

		while (remainingLetters > 0 && chance > 0) {
			alert(`Вам нужно угадать слово состоящее из ${answerArray.join(" ")} (${answerArray.length} букв!)`)
			let guess = prompt(`Угадайте букву или нажмите "отмена" для выхода`);
			if (guess === null) {
				alert(`Вы отказались от участия в игре. До свидания`)
				break;
			}
			else if (guess.length !== 1) {
				alert(`Пожалуйста. Введите всего 1 букву.`)
			}
			else {
				for ( j = 0; j < word.length; j++) {
					if ( word[j] === guess && answerArray[j] === "_") {
						answerArray[j] = guess;
						remainingLetters--;
					}
				}
			}
		chance--}

		alert(answerArray.join(" "));
		alert(`Было загадано слово ${word}`);
	</script>
</body>
</html>